package com.steerinfo.ems.ifemsmesactitem.mapper;

import com.steerinfo.ems.ifemsmesactitem.model.IfEmsMesActitem;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface IfEmsMesActitemMapper extends IBaseMapper<IfEmsMesActitem, Long> {
    Long getId();
    List<Map<String, Object>> selectdataformula(Map<String, Object> param);
    int updateUKey(IfEmsMesActitem model);
    IfEmsMesActitem getDataByUKey(IfEmsMesActitem model);
    List<IfEmsMesActitem> getDatatoMes();
    List<Map<String, Object>> selectParam(Map<String, Object> param);
    void insertParam(Map<String, Object> param);
    int updateParam(Map<String, Object> param);
    List<IfEmsMesActitem> getindex();
}